/******************************************************************************
FILE
    SqViewMegaPixel.h
DESCRIPTION
	NeXTstep user Interface for Squeak.
	This view is a subclass of SqView that map the whole NeXT MegaPixel Display
	screen. It is faster than SqView since it directly access the video buffer,
	but it's activated only in full screen mode.
AUTHOR
	<PJB> Pascal J. Bourguignon
MODIFICATIONS
	1998/07/03 <PJB> Creation.
LEGAL
	Copyright Pascal J. Bourguignon 1998 - 1998

	This program is free software; you can redistribute it and/or
	modify it under the terms of the version 2 of the GNU General Public 
	License as published by the Free Software Foundation.
	
	This program is distributed in the hope that it will be useful, but 
	WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
	or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License 
	hereafter for more details.
******************************************************************************/
#import "SqView.h"


	
	
@interface SqViewMegaPixel:SqView
{
	BOOL                megaPixelIsActive;
	// Color maps for MegaPixelDisplay (seems to be IO_OneIsWhiteColorSpace).
	unsigned char*      mp_Two_to_Two;
	unsigned char*      mp_colorMap2Gray;
	
}

	+initialize;
	+(BOOL)thereIsTheSlightestChanceOfHavingAMegaPixelDisplay;
	
	-(id)initFrame:(const NXRect*)frameRect;
	-(id)free;


	-(int)ioForceDisplayUpdate;
	-(int)ioSetFullScreen:(int)fullScreen;
	-(int)ioShowDisplayBitsIndex:(int)bInd 
			width:(int)w height:(int)h depth:(int)d 
			affectedLeft:(int)l affectedRight:(int)r 
			affectedTop:(int)t affectedBottom:(int)b;

@end // SqViewMegaPixel.

/*** SqViewMegaPixel.h / Thu Aug 27 23:20:42 MET 1998 / PJB ***/

